Zbuduj błąd na ios-listach - ios, swift, ios-frameworks, ios-charts

Poszedłem za przewodnikiem tutaj zainstalować framework ios-charts jakoWbudowany kod binarny i krok 3 przewodnika instruuje mnie do zbudowania projektu. Kompilacja następnie nie powiedzie się natychmiast w wyniku dodania wbudowanego pliku binarnego. Pobrałem najnowszą wersję tego frameworka, która powinna być zgodna z wersją 3.

Używam X-code 8 beta, a więc szybkiego 3. Czy ktoś może wskazać mi właściwy kierunek?

wprowadź opis obrazu tutaj

Odpowiedzi:

2 dla odpowiedzi № 1
  1. Pobieranie plik zip z projektem

  2. Zbuduj to

  3. W Xcode znajdź folder produktów, znajdź tam produkty Wykresy, pokaż w Finderze
  4. Otwórz swój projekt w XCode
  5. Przeciągnij i upuść pakiet (od kroku 3) do projektu w kodzie X.
  6. Skonfiguruj ustawienia projektu: we wbudowanych plikach binarnych użyj "+", aby dodać wykresy

0 dla odpowiedzi nr 2

1) Użyj CocoaPods (doc: https://cocoapods.org)

2) Dodaj wykresy do pliku pod (doc: https://github.com/danielgindi/Charts)

Dodaj pod "Wykresy" do swojego Podfile. "Wykresy" to nazwa biblioteki.

Aby uzyskać wsparcie dla dziedziny, możesz określić subspec w swoim Podfile w następujący sposób:

pod "Wykresy / Realm"

Uwaga: pod "ios-charts" nie jest poprawną biblioteką i odnosi się do> innego projektu przez kogoś innego.


-1 dla odpowiedzi nr 3

W przypadku Swift 3 powinieneś pójść z CocoaPods.

pisać pod "Charts/Realm" to zainstaluje dokładną wersję podka dla wykresu, a następnie wyczyści i zbuduje.


Menu